package com.microfocus.am.oauth.model;

import java.util.Set;

/** Model representing the JSON returned by the Token info endpoint.
 * 	Note that the endpoint returns additional fields as well like issuer, audience, etc
 *  that can be mapped here as well if needed.
 * 
 */
public class TokenInfo 
{
	private String user_id;
    private long expires_in;
    private Set<String> scope;
    private String token_id;
    
	public String getUser_id() {
		return user_id;
	}
	public void setUser_id(String user_id) {
		this.user_id = user_id;
	}
	public long getExpires_in() {
		return expires_in;
	}
	public void setExpires_in(long expires_in) {
		this.expires_in = expires_in;
	}
	public Set<String> getScope() {
		return scope;
	}
	public void setScope(Set<String> scope) {
		this.scope = scope;
	}
	public String getToken_id() {
		return token_id;
	}
	public void setToken_id(String token_id) {
		this.token_id = token_id;
	}

    
}
